Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Sock_Connect Class Reference

`#include <Sock_Connect.h>`

Inheritance diagram for ACE_Sock_Connect:

[legend]
List of all members.

## Static Public Methods
int | bind_port (ACE_HANDLE handle, ACE_UINT32 ip_addr=INADDR_ANY)
| Bind a new unused port to <handle>. More...
int | get_bcast_addr (ACE_UINT32 &bcast_addr, const ACE_TCHAR *hostname=0, ACE_UINT32 host_addr=0, ACE_HANDLE handle=ACE_INVALID_HANDLE)
| Get our broadcast address based on our <host_addr>. More...
int | get_ip_interfaces (size_t &count, ACE_INET_Addr *&addr_array)
| Return count and array of all configured IP interfaces on this host, rc = 0 on success (count == number of interfaces else -1). More...
int | count_interfaces (ACE_HANDLE handle, size_t &how_many)
| Helper routine for get_ip_interfaces, differs by UNIX platform so put into own subroutine. More...
ACE_HANDLE | get_handle (void)
| Routine to return a handle from which <ioctl> requests can be made. Caller must <close> the handle. More...
int | ipv6_enabled (void)
| Returns 1 if IPv6 is enabled on the current host; 0 if not. More...

## Member Function Documentation

int ACE_Sock_Connect::bind_port | ( | ACE_HANDLE | handle,
|  | ACE_UINT32 | ip_addr = INADDR_ANY
| ) | `[static]`

| Bind a new unused port to <handle>.

int ACE_Sock_Connect::count_interfaces | ( | ACE_HANDLE | handle,
|  | size_t & | how_many
| ) | `[static]`

| Helper routine for get_ip_interfaces, differs by UNIX platform so put into own subroutine. perform some ioctls to retrieve ifconf list of ifreq structs.

int ACE_Sock_Connect::get_bcast_addr | ( | ACE_UINT32 & | bcast_addr,
|  | const ACE_TCHAR * | host_name = 0,
|  | ACE_UINT32 | host_addr = 0,
|  | ACE_HANDLE | handle = ACE_INVALID_HANDLE
| ) | `[static]`

| Get our broadcast address based on our <host_addr>. If <hostname> is non-0 we'll use it to determine our IP address. If <handle> is not <ACE_INVALID_HANDLE> then we'll use this to determine our broadcast address, otherwise we'll have to create a socket internally (and free it). Returns -1 on failure and 0 on success.

ACE_HANDLE ACE_Sock_Connect::get_handle | ( | void |  | ) | `[static]`

| Routine to return a handle from which <ioctl> requests can be made. Caller must <close> the handle.

int ACE_Sock_Connect::get_ip_interfaces | ( | size_t & | count,
|  | ACE_INET_Addr *& | addrs
| ) | `[static]`

| Return count and array of all configured IP interfaces on this host, rc = 0 on success (count == number of interfaces else -1). Caller is responsible for calling delete [] on <addr_array>.

int ACE_Sock_Connect::ipv6_enabled | ( | void |  | ) | `[static]`

| Returns 1 if IPv6 is enabled on the current host; 0 if not. This is an execution-time check. If ACE has not been compiled with ACE_HAS_IPV6, it always returns 0. If ACE_HAS_IPV6 is enabled, this function tries to create a PF_INET6 socket, returning 1 if it succeeds, and 0 if it fails. Caches the result so it only gets checked once.

The documentation for this class was generated from the following files:

- Sock_Connect.h
- Sock_Connect.cpp